# Glacier2::SSLInfo

## Overview

### struct SSLInfo

Information taken from an SSL connection used for permissions verification.

#### Used By

SSLPermissionsVerifier::authorize
SSLSessionManager::create

#### See Also

PermissionsVerifier

## Data Member Index

remoteHost
  The remote host.
remotePort
  The remote port.
localHost
  The router's host.
localPort
  The router's port.
cipher
  The negotiated cipher suite.
certs
  The certificate chain.

## Data Members

string remoteHost;

  The remote host.

int remotePort;

  The remote port.

string localHost;

  The router's host.

int localPort;

  The router's port.

string cipher;

  The negotiated cipher suite.

::Ice::StringSeq certs;

  The certificate chain.